Summary:	GNOME Desktop Environment with additional packages
Summary(pl.UTF-8):	Środowisko graficzne GNOME z dodatkowymi pakietami
Name:		metapackage-gnome
Version:	45
Release:	1
License:	GPL/LGPL
Group:		X11/Applications
Requires:	%{name}-accessibility = %{version}-%{release}
Requires:	%{name}-admin = %{version}-%{release}
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-desktop = %{version}-%{release}
Requires:	%{name}-devtools = %{version}-%{release}
Requires:	%{name}-games = %{version}-%{release}
Requires:	%{name}-office = %{version}-%{release}
Requires:	gnome-getting-started-docs >= 3.38.0
Requires:	gnome-tour >= 45
Requires:	rhythmbox >= 3.4.7
Requires:	gstreamer-a52dec >= 1.22
Requires:	gstreamer-aac >= 1.22
Requires:	gstreamer-amrnb >= 1.22
Requires:	gstreamer-amrwb >= 1.22
Requires:	gstreamer-ass >= 1.22
Requires:	gstreamer-audio-effects-bad >= 1.22
Requires:	gstreamer-cdio >= 1.22
Requires:	gstreamer-curl >= 1.22
Requires:	gstreamer-dc1394 >= 1.22
Requires:	gstreamer-dts >= 1.22
Requires:	gstreamer-dvdread >= 1.22
Requires:	gstreamer-flite >= 1.22
Requires:	gstreamer-gme >= 1.22
Requires:	gstreamer-gsm >= 1.22
Requires:	gstreamer-kate >= 1.22
Requires:	gstreamer-ladspa >= 1.22
Requires:	gstreamer-lv2 >= 1.22
Requires:	gstreamer-mjpegtools >= 1.22
Requires:	gstreamer-mpeg >= 1.22
Requires:	gstreamer-musepack >= 1.22
Requires:	gstreamer-neon >= 1.22
Requires:	gstreamer-plugins-bad >= 1.22
Requires:	gstreamer-plugins-ugly >= 1.22
Requires:	gstreamer-resindvd >= 1.22
Requires:	gstreamer-rtmp >= 1.22
Requires:	gstreamer-sid >= 1.22
Requires:	gstreamer-sndfile >= 1.22
Requires:	gstreamer-soundtouch >= 1.22
Requires:	gstreamer-vpx >= 1.22
Requires:	gstreamer-x264 >= 1.22
Requires:	gstreamer-zbar >= 1.22
Requires:	shotwell >= 0.32
Suggests:	tracker3 >= 3.6
Obsoletes:	metapackage-gnome-extras < 2.22
Obsoletes:	gnome < 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Desktop Environment with additional packages (metapackage).

%description -l pl.UTF-8
Środowisko graficzne GNOME z dodatkowymi pakietami (metapakiet).

%package accessibility
Summary:	Accessibility packages for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety ułatwień dostępu dla środowiska graficznego GNOME
Group:		X11/Applications/Accessibility
Requires:	%{name}-core = %{version}-%{release}
Requires:	at-spi2-atk >= 2.50.0
Requires:	at-spi2-core >= 2.50.0
Requires:	orca >= 45
Provides:	metapackage-gnome-extras-accessibility
Obsoletes:	metapackage-gnome-extras-accessibility < 2.22

%description accessibility
Accessibility packages for GNOME Desktop Environment.

%description accessibility -l pl.UTF-8
Pakiety ułatwień dostępu dla środowiska graficznego GNOME.

%package admin
Summary:	Administration packages for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety do zarządzania środowiskiem graficznym GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	gnome-initial-setup >= 45
Requires:	gnome-software >= 45
Obsoletes:	gnome-system-tools < 3.0.1
Obsoletes:	system-tools-backends < 3

%description admin
Administration packages for GNOME Desktop Environment.

%description admin -l pl.UTF-8
Pakiety do zarządzania środowiskiem graficznym GNOME.

%package core
Summary:	The core components of the GNOME Desktop Environment
Summary(pl.UTF-8):	Podstawowe składniki środowiska graficznego GNOME
Group:		X11/Applications
Requires:	PackageKit-gtk3-module
Requires:	adwaita-icon-theme >= 45
Requires:	dconf >= 0.40.0
Requires:	eog >= 45
Requires:	gedit >= 45
Requires:	gnome-control-center >= 1:45
Requires:	gnome-desktop >= 44
Requires:	gnome-keyring >= 42
Requires:	gnome-session >= 1:45
Requires:	gnome-settings-daemon >= 1:45
Requires:	gnome-shell >= 45
Requires:	gnome-terminal >= 3.48
Requires:	gsettings-desktop-schemas >= 45
Requires:	gvfs >= 1.52.0
Requires:	mutter >= 45
Requires:	nautilus >= 45
Requires:	xdg-menus
Requires:	yelp >= 42
Suggests:	gnome-menus >= 3.36.0
# Default GNOME font
Suggests:	fonts-OTF-Cantarell

%description core
The core components of the GNOME Desktop Environment.

%description core -l pl.UTF-8
Podstawowe składniki środowiska graficznego GNOME.

%package desktop
Summary:	GNOME Desktop Environment
Summary(pl.UTF-8):	Środowisko graficzne GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	NetworkManager >= 2:1.44.0
Requires:	brasero >= 3.12.0
#Requires:	abrt-desktop >= 2.14.0
Requires:	cheese >= 44
Requires:	dconf-editor >= 45
Requires:	eog-plugins >= 44
Requires:	epiphany >= 45
Requires:	evince >= 45
Requires:	evolution >= 3.50.0
Requires:	evolution-addressbook >= 3.50.0
Requires:	evolution-calendar >= 3.50.0
Requires:	evolution-mail >= 3.50.0
Requires:	file-roller >= 43
Requires:	gnome-calculator >= 45
Requires:	gnome-calendar >= 45
Requires:	gdm >= 2:45
Requires:	gnome-backgrounds >= 45
Requires:	gnome-bluetooth >= 42
Requires:	gnome-color-manager >= 3.36.0
Requires:	gnome-connections >= 45
Requires:	gnome-disk-utility >= 45
Requires:	gnome-packagekit >= 43
Requires:	gnome-power-manager >= 43
Requires:	gnome-remote-desktop >= 45
Requires:	gnome-system-monitor >= 45
Requires:	gnome-tweaks >= 45
Requires:	gnome-user-docs >= 45
Requires:	gstreamer >= 1.22
Requires:	gstreamer-audio-effects-base >= 1.22
Requires:	gstreamer-audio-effects-good >= 1.22
Requires:	gstreamer-audio-formats >= 1.22
Requires:	gstreamer-audiosink-alsa >= 1.22
Requires:	gstreamer-cairo >= 1.22
Requires:	gstreamer-cdparanoia >= 1.22
Requires:	gstreamer-dv >= 1.22
Requires:	gstreamer-flac >= 1.22
Requires:	gstreamer-gdkpixbuf >= 1.22
Requires:	gstreamer-imagesink-x >= 1.22
Requires:	gstreamer-imagesink-xv >= 1.22
Requires:	gstreamer-jack >= 1.22
Requires:	gstreamer-libpng >= 1.22
Requires:	gstreamer-libvisual >= 1.22
Requires:	gstreamer-pango >= 1.22
Requires:	gstreamer-plugins-base >= 1.22
Requires:	gstreamer-plugins-good >= 1.22
Requires:	gstreamer-pulseaudio >= 1.22
Requires:	gstreamer-raw1394 >= 1.22
Requires:	gstreamer-shout2 >= 1.22
Requires:	gstreamer-soup >= 1.22
Requires:	gstreamer-speex >= 1.22
Requires:	gstreamer-taglib >= 1.22
Requires:	gstreamer-theora >= 1.22
Requires:	gstreamer-v4l2 >= 1.22
Requires:	gstreamer-video-effects >= 1.22
Requires:	gstreamer-videosink-aa >= 1.22
Requires:	gstreamer-videosink-libcaca >= 1.22
Requires:	gstreamer-visualisation >= 1.22
Requires:	gstreamer-vorbis >= 1.22
Requires:	gstreamer-wavpack >= 1.22
Requires:	gstreamer-ximagesrc >= 1.22
Requires:	gucharmap >= 12.0.0
# not ported to nautilus4
#Requires:	nautilus-extension-brasero >= 3.12.2
# not ported to nautilus4 in GNOME 43
#Requires:	nautilus-extension-evince >= 3.38.0
Requires:	polari >= 45
Requires:	seahorse >= 43
Requires:	seahorse-gnome-shell-search >= 43
Requires:	sound-juicer >= 3.40.0
Requires:	gnote >= 45
Requires:	totem >= 43
Requires:	totem-im-status >= 43
Requires:	totem-opensubtitles >= 43
Requires:	zenity >= 4
Suggests:	%{name}-games = %{version}-%{release}
# ekiga is dead, linphone is qt-based now; what instead?
#Suggests:	ekiga >= 4.0.1
Suggests:	evolution-ews >= 3.50.0
Suggests:	pam-pam_gnome_keyring >= 42

%description desktop
GNOME Desktop Environment.

%description desktop -l pl.UTF-8
Środowisko graficzne GNOME.

%package devtools
Summary:	Developer tools for GNOME Desktop Environment
Summary(pl.UTF-8):	Narzędzia programisty dla środowiska graficznego GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	accerciser >= 3.42.0
Requires:	anjuta >= 1:3.34.0
Requires:	anjuta-extras >= 3.26.0
Requires:	devhelp >= 43
Requires:	glade >= 3.40.0
Requires:	gnome-devel-docs >= 40

%description devtools
Developer tools for GNOME Desktop Environment.

%description devtools -l pl.UTF-8
Narzędzia programisty dla środowiska graficznego GNOME.

%package games
Summary:	Games for GNOME Desktop Environment
Summary(pl.UTF-8):	Gry dla środowiska graficznego GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	aisleriot >= 3.22
Requires:	five-or-more >= 3.32
Requires:	four-in-a-row >= 3.38.0
Requires:	gnome-2048 >= 3.38.0
Requires:	gnome-chess >= 43
Requires:	gnome-games >= 1:40
Requires:	gnome-klotski >= 3.38.0
Requires:	gnome-mahjongg >= 3.40.0
Requires:	gnome-mines >= 40
Requires:	gnome-nibbles >= 3.38.0
Requires:	gnome-robots >= 40
Requires:	gnome-sudoku >= 44
Requires:	gnome-taquin >= 3.38.0
Requires:	gnome-tetravex >= 3.38.0
Requires:	hitori >= 44
Requires:	iagno >= 3.38.0
Requires:	lightsoff >= 40
Requires:	quadrapassel >= 40
Requires:	swell-foop >= 41
Requires:	tali >= 40
Obsoletes:	gnome-games-blackjack < 1:2.30
Obsoletes:	gnome-games-gataxx < 1:2.18
# gataxx -> iagno?
Obsoletes:	gnome-games-servers < 1:2.30
Obsoletes:	gnome-games-stones < 1:2.14

%description games
Games for GNOME Desktop Environment.

%description games -l pl.UTF-8
Gry dla środowiska graficznego GNOME.

%package office
Summary:	Office suite for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety biurowe dla środowiska graficznego GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	abiword >= 1:3.0.5
Requires:	dia >= 1:0.97.3
Requires:	gimp >= 1:2.10.32
Requires:	glabels >= 3.4.1
Requires:	gnumeric >= 1:1.12.55
Requires:	inkscape >= 1.2

%description office
Office packages for GNOME Desktop Environment.

%description office -l pl.UTF-8
Pakiety biurowe dla środowiska graficznego GNOME.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files accessibility
%defattr(644,root,root,755)

%files admin
%defattr(644,root,root,755)

%files core
%defattr(644,root,root,755)

%files desktop
%defattr(644,root,root,755)

%files devtools
%defattr(644,root,root,755)

%files games
%defattr(644,root,root,755)

%files office
%defattr(644,root,root,755)
%changelog
* Mon Jan 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metapackage-gnome.git;a=log;h=master

* Mon Jan 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 7316ce6
- initial update for GNOME 45 (just versions; probably there are some components to add/remove)

* Sun Nov 12 2023 Jan Rękorajski <baggins@pld-linux.org> 2847e44
- directfb is gone, rel 2

* Fri Sep 01 2023 Jakub Bogusz <qboosh@pld-linux.org> a4d07a1
- updated for GNOME 44

* Tue Jun 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 549d8c0
- force libsoup3 based rhythmbox (3.4.7+)

* Tue Jun 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 2621304
- initial update to 43

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 73c38eb
- obsolete gnome-system-tools+system-tools-backends

* Fri Dec 17 2021 Jan Rękorajski <baggins@pld-linux.org> f6baf29
- remove gstreamer modules dropped by upstream, rel 3

* Tue Jan 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 32e2566
- oops, fixed gucharmap dependency (gucharmap >= 12, not gucharmap2); release 2

* Fri Dec 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 2fe3846
- updated for 3.38.0
- dropped some obsolete/no longer maintained apps
- some replacements (banshee -> rhythbox, gnome-nettool -> NetworkManager,
  empathy -> polari, gucharmap -> gucharmap2, vinagre -> gnome-connections,
  vino -> gnome-remote-desktop)
- added few new packages (gnome-calendar, gnome-getting-started-docs,
  gnome-games, gnome-initial-setup, gnome-software, gnome-tour)

* Fri Aug 07 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7306cfa
- addeded seahorse-gnome-shell-search to dependencies

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 922fc66
- gnome-system-tools is no more
- rel 5

* Wed Nov 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 9cbf238
- obsolete old gnome-games-* and gnome packages

* Wed Nov 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ed7cd41
- s/gnome-themes-standard/adwaita-icon-theme/
- updated more packages to 3.34
- added more games
- release 4

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2bfb82c
- s/gnome-tweal-tool/gnome-tweaks/
- rel 3

* Sat Oct 26 2019 Jan Rękorajski <baggins@pld-linux.org> b4a4e9b
- fix seahorse dep
- rel 2

* Sat Oct 26 2019 Jan Rękorajski <baggins@pld-linux.org> e28b382
- updated to 3.34

* Sun Jul 14 2019 Jan Rękorajski <baggins@pld-linux.org> 1e22062
- gstreamer-spc is gone
- rel 3

* Sun May 06 2018 Jan Rękorajski <baggins@pld-linux.org> b4c2eab
- removed packages dropped by upstream
- rel 2

* Thu Mar 22 2018 Jan Rękorajski <baggins@pld-linux.org> 41b788f
- up to 3.28.0

* Sun Jun 04 2017 Jan Rękorajski <baggins@pld-linux.org> 4645512
- removed obsolete gstreamer plugins
- rel 5

